Subject: Re: bug#42652: emacs-27.1-rc1 and configure error on Solaris 11.3

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Aug 2020 18:43:12 +0300

> From: Jeffrey Walton <[email-masked]>
> Date: Sat, 1 Aug 2020 11:26:27 -0400
> 
> I'm testing emacs-27.1-rc1 on Solaris 11.3 i86pc.
> 
> I'm catching the following error during configure. I believe it is due
> to --without-selinux:
> 
>     configure: error: invalid package name: selinux

My reading of configure is that this error message is emitted when
some --without-* option uses characters that are not permitted in
shell variable names.  Not sure why this is triggered in your case.